summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wendler <polynomial-c@gentoo.org>2017-03-01 15:52:32 +0100
committerLars Wendler <polynomial-c@gentoo.org>2017-03-01 15:52:48 +0100
commitf61b6e00d60f362cb994350ccccac6d2a317c4cc (patch)
tree66f891baa8dc49fbb9611e64e2ee1abe6aebb6b4 /net-libs
parentdev-python/python-ly: remove old (diff)
downloadgentoo-f61b6e00d60f362cb994350ccccac6d2a317c4cc.tar.gz
gentoo-f61b6e00d60f362cb994350ccccac6d2a317c4cc.tar.bz2
gentoo-f61b6e00d60f362cb994350ccccac6d2a317c4cc.zip
net-libs/libssh: Bump to version 0.7.4
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Diffstat (limited to 'net-libs')
-rw-r--r--net-libs/libssh/Manifest1
-rw-r--r--net-libs/libssh/libssh-0.7.4.ebuild99
2 files changed, 100 insertions, 0 deletions
diff --git a/net-libs/libssh/Manifest b/net-libs/libssh/Manifest
index 9ef64dd6783..66e468b5907 100644
--- a/net-libs/libssh/Manifest
+++ b/net-libs/libssh/Manifest
@@ -1 +1,2 @@
DIST libssh-0.7.3.tar.xz 350464 SHA256 26ef46be555da21112c01e4b9f5e3abba9194485c8822ab55ba3d6496222af98 SHA512 6797ea9492c9d07e0169163e6559a7880dd368ee763eff297b3cbddda5e892703cf32506f9513e7d9b5135984e1e888c4893b342df07da1b7ee30968c9185869 WHIRLPOOL f22c3f4ef8c3cbf4e93c5603224ae4d0f598639a471bc002c0917243c487e1de61a79db09308bcb570791cd1ab3b95f43d44f92652a7f0ec596d552cab0031c5
+DIST libssh-0.7.4.tar.xz 351892 SHA256 39e1bec3b3cb452af3b8fd7f59c12c5ef5b9ed64f057c7eb0d1a5cac67ba6c0d SHA512 94b8183e5c83e339303c1a160c92ccff6159471ac7d189ab66cf6d606d2e803fd616519f079aef1577c947d3a14e315332b05ea08e44d0ab550edbcb768dbea7 WHIRLPOOL 6698bdfa7e9720fa9c31f1cf85660eb463c853a24867d643f6df1af932299500606d4d768687e6379c653e815dabb3299dd1098076f76f50b6dd0742f3edb85d
diff --git a/net-libs/libssh/libssh-0.7.4.ebuild b/net-libs/libssh/libssh-0.7.4.ebuild
new file mode 100644
index 00000000000..a2ee7c6d48f
--- /dev/null
+++ b/net-libs/libssh/libssh-0.7.4.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+MY_P=${PN}-${PV/_rc/rc}
+inherit eutils cmake-multilib multilib
+
+DESCRIPTION="Access a working SSH implementation by means of a library"
+HOMEPAGE="http://www.libssh.org/"
+SRC_URI="https://red.libssh.org/attachments/download/210/${MY_P}.tar.xz -> ${P}.tar.xz"
+
+LICENSE="LGPL-2.1"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+SLOT="0/4" # subslot = soname major version
+IUSE="debug doc examples gcrypt gssapi libressl pcap +sftp ssh1 server static-libs test zlib"
+# Maintainer: check IUSE-defaults at DefineOptions.cmake
+
+RDEPEND="
+ zlib? ( >=sys-libs/zlib-1.2.8-r1[${MULTILIB_USEDEP}] )
+ !gcrypt? (
+ !libressl? ( >=dev-libs/openssl-1.0.1h-r2:0[${MULTILIB_USEDEP}] )
+ libressl? ( dev-libs/libressl[${MULTILIB_USEDEP}] )
+ )
+ gcrypt? ( >=dev-libs/libgcrypt-1.5.3:0[${MULTILIB_USEDEP}] )
+ gssapi? ( >=virtual/krb5-0-r1[${MULTILIB_USEDEP}] )
+"
+DEPEND="
+ ${RDEPEND}
+ doc? ( app-doc/doxygen )
+ test? ( >=dev-util/cmocka-0.3.1[${MULTILIB_USEDEP}] )
+"
+
+DOCS=( AUTHORS README ChangeLog )
+
+S=${WORKDIR}/${MY_P}
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-0.5.0-tests.patch
+)
+
+src_prepare() {
+ # just install the examples do not compile them
+ sed -i \
+ -e '/add_subdirectory(examples)/s/^/#DONOTWANT/' \
+ CMakeLists.txt || die
+
+ # keyfile torture test is currently broken
+ sed \
+ -e '/torture_keyfiles/d' \
+ -i tests/unittests/CMakeLists.txt || die
+
+ cmake-utils_src_prepare
+}
+
+multilib_src_configure() {
+ local mycmakeargs=(
+ -DWITH_DEBUG_CALLTRACE="$(usex debug)"
+ -DWITH_DEBUG_CRYPTO="$(usex debug)"
+ -DWITH_GCRYPT="$(usex gcrypt)"
+ -DWITH_GSSAPI="$(usex gssapi)"
+ -DWITH_NACL=no
+ -DWITH_PCAP="$(usex pcap)"
+ -DWITH_SERVER="$(usex server)"
+ -DWITH_SFTP="$(usex sftp)"
+ -DWITH_SSH1="$(usex ssh1)"
+ -DWITH_STATIC_LIB="$(usex static-libs)"
+ -DWITH_STATIC_LIB="$(usex test)"
+ -DWITH_TESTING="$(usex test)"
+ -DWITH_ZLIB="$(usex zlib)"
+ )
+
+ cmake-utils_src_configure
+}
+
+multilib_src_compile() {
+ cmake-utils_src_compile
+ multilib_is_native_abi && use doc && cmake-utils_src_compile doc
+}
+
+multilib_src_install() {
+ cmake-utils_src_install
+
+ if multilib_is_native_abi && use doc ; then
+ docinto html
+ dodoc -r doc/html/.
+ fi
+
+ use static-libs || rm -f "${D}"/usr/$(get_libdir)/libssh{,_threads}.a
+}
+
+multilib_src_install_all() {
+ einstalldocs
+
+ if use examples; then
+ docinto examples
+ dodoc examples/*.{c,h,cpp}
+ fi
+}